opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
opensaml::saml2::RootObject Class Referenceabstract

SAML 2.0 assertion or protocol message. More...

`#include <saml/saml2/core/Assertions.h>`

Inheritance diagram for opensaml::saml2::RootObject:

## Public Member Functions
virtual const XMLCh * | getVersion () const =0
| Gets the Version attribute. More...
virtual Issuer * | getIssuer () const =0
| Gets the Issuer. More...
Public Member Functions inherited from opensaml::RootObject
virtual const XMLCh * | getID () const =0
| Returns the unique SAML ID of the object. More...
virtual const xmltooling::DateTime * | getIssueInstant () const =0
| Returns the timestamp of the object. More...
virtual time_t | getIssueInstantEpoch () const =0
| Returns the timestamp of the object as an epoch. More...
Public Member Functions inherited from opensaml::SignableObject
virtual xmlsignature::Signature * | getSignature () const =0
| Returns the enveloped Signature from the object. More...
virtual void | setSignature (xmlsignature::Signature *sig)=0
| Sets an enveloped Signature in the object. More...

## Additional Inherited Members
Protected Member Functions inherited from opensaml::SignableObject
void | declareNonVisibleNamespaces () const
| Search the object for non-visible namespaces, and pin them on the root of the object where necessary, adding them to the inclusive prefix list for signing purposes.

## Detailed Description

SAML 2.0 assertion or protocol message.

## Member Function Documentation

virtual Issuer* opensaml::saml2::RootObject::getIssuer | ( |  | ) | const
| pure virtual

Gets the Issuer.

virtual const XMLCh* opensaml::saml2::RootObject::getVersion | ( |  | ) | const
| pure virtual

Gets the Version attribute.

The documentation for this class was generated from the following file:

- saml/saml2/core/Assertions.h